<div class="row">
  <div class="col-md-12">
    <nb-card>
      <nb-card-header>Book detail</nb-card-header>
      <nb-card-body>
        <div [formGroup]="bookDetailForm">
          <div class="form-group row">
            <label for="title" class="col-sm-3 col-form-label">Title</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" id="title" placeholder="Title" formControlName="title"
                [(ngModel)]="model.title" name="title">
              <app-validation-messages [control]="bookDetailForm.controls.title"></app-validation-messages>
            </div>
          </div>

          <div class="form-group row">
            <label for="category" class="col-sm-3 col-form-label">Author</label>
            <div class="col-sm-6">
              <select class="browser-default custom-select" formControlName="authorId" [(ngModel)]="model.authorId"
                name="author">
                <option *ngFor="let author of authors" value="{{author.id}}">{{author.fullName}}</option>
              </select>
              <app-validation-messages [control]="bookDetailForm.controls.authorId"></app-validation-messages>
            </div>
            <div class="col-sm-3">
              <input type="button" class="btn btn-info btn-block" id="add-author" [nbPopover]="authorForm" value="New Author">
            </div>
          </div>

          <div class="form-group row">
            <label for="genre" class="col-sm-3 col-form-label">Genre</label>
            <div class="col-sm-6">
              <select class="browser-default custom-select" formControlName="genreId" [(ngModel)]="model.genreId" name="genre">
                <option *ngFor="let genre of genres" value="{{genre.id}}">{{genre.name}}</option>
              </select>
              <app-validation-messages [control]="bookDetailForm.controls.genreId"></app-validation-messages>
            </div>
            <div class="col-sm-3">
              <input type="button" class="btn btn-info btn-block" id="add-genre" value="New Genre" [nbPopover]="genreForm"
                value="New Genre">
            </div>
          </div>

          <div class="form-group row">
            <label for="publisher" class="col-sm-3 col-form-label">Publisher</label>
            <div class="col-sm-6">
              <select class="browser-default custom-select" formControlName="publisherId" [(ngModel)]="model.publisherId"
                name="publisher">
                <option *ngFor="let publisher of publishers" value="{{publisher.id}}">{{publisher.name}}</option>
              </select>
              <app-validation-messages [control]="bookDetailForm.controls.publisherId"></app-validation-messages>
            </div>
            <div class="col-sm-3">
              <input type="button" class="btn btn-info btn-block" id="add-publisher" value="New Publisher" [nbPopover]="publisherForm"
                value="New Publisher">
            </div>
          </div>

          <!-- <div class="form-group row">
            <label class="col-sm-3">Radios</label>
            <div class="col-sm-9">
              <div class="radio">
                <label class="">
                  <input type="radio" class="radio" name="gridRadios" checked>
                  <span class="custom-control-indicator"></span>
                  <span class="">Option one is this and that&mdash;be sure to include why it's great</span>
                </label>
              </div>
              <div class="radio">
                <label class="">
                  <input type="radio" class="radio" name="gridRadios">
                  <span class="custom-control-indicator"></span>
                  <span class="custom-control-description">Option two can be something else and selecting it will
                    deselect option one</span>
                </label>
              </div>
              <div class="radio">
                <label class="">
                  <input type="radio" class="radio" name="gridRadios" disabled>
                  <span class="custom-control-indicator"></span>
                  <span class="custom-control-description">Option three is disabled</span>
                </label>
              </div>
            </div>
          </div> -->

          <div class="form-group row">
            <label class="col-sm-3">Publication Date</label>
            <div class="col-sm-9">
              <input type="text" class="form-control" placeholder="Choose date" [nbDatepicker]="formpicker"
                formControlName="publicationDate" [(ngModel)]="model.publicationDate" name="publication-date">
              <nb-datepicker #formpicker></nb-datepicker>
            </div>
          </div>

          <div class="form-group row">
            <label class="col-sm-3">Price</label>
            <div class="col-sm-9">
              <input type="number" class="form-control" required name="price" min="0" value="0" formControlName="price"
                [(ngModel)]="model.price">
            </div>
          </div>

          <div class="form-group row">
            <label class="col-sm-3">Image</label>
            <div class="col-sm-9">
              <div class="custom-file">
                <input type="file" class="custom-file-input" id="customFile" accept="image/png, image/jpeg" (change)="eventUploadFile($event)">
                <label class="custom-file-label" for="customFile">Choose book image</label>
              </div>
            </div>
          </div>

          <div class="form-group row">
            <div class="offset-sm-3 col-sm-9">
              <img *ngIf="model.imageUrl" [src]="model.imageUrl" />
            </div>
          </div>

          <div class="form-group row">
            <div class="offset-sm-3 col-sm-6">
              <button type="button" (click)="eventClickUpdateBtn()" class="btn btn-success btn-block">Update book</button>
            </div>
          </div>
        </div>
      </nb-card-body>
    </nb-card>
  </div>

  <ng-template #authorForm>
    <div class="p-4">
      <form>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="First Name" [(ngModel)]="authorCreateModel.firstName"
            name="author-create-firstname">
        </div>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Last Name" [(ngModel)]="authorCreateModel.lastName" name="author-create-lastname">
        </div>
        <button type="button" class="btn btn-primary w-100" (click)="eventClickCreateAuthorBtn()">Create new Author</button>
      </form>
    </div>
  </ng-template>

  <ng-template #genreForm>
    <div class="p-4">
      <form>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Genre name" [(ngModel)]="genreCreateModel.name" name="genre-create-name">
        </div>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Description" [(ngModel)]="genreCreateModel.description"
            name="genre-create-description">
        </div>
        <button type="button" class="btn btn-primary w-100" (click)="eventClickCreateGenreBtn()">Create new Genre</button>
      </form>
    </div>
  </ng-template>

  <ng-template #publisherForm>
    <div class="p-4">
      <form>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Publisher name" [(ngModel)]="publisherCreateModel.name"
            name="publisher-create-name">
        </div>
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Country" [(ngModel)]="publisherCreateModel.country"
            name="publisher-create-country">
        </div>
        <button type="button" class="btn btn-primary w-100" (click)="eventClickCreatePublisherBtn()">Create new
          Publisher</button>
      </form>
    </div>
  </ng-template>